PCI_FIND_HT_CAPABILI(9)

NAME
pci_find_ht_capability - query a device's Hypertransport capabilities

SYNOPSIS

int pci_find_ht_capability(struct pci_dev * dev, int ht_cap);

ARGUMENTS

dev
    PCI device to query

ht_cap
    Hypertransport capability code

DESCRIPTION

Tell if a device supports a given Hypertransport capability. Returns an address within the device's PCI configuration space or 0 in case the device does not support the request capability. The address points to the PCI capability, of type PCI_CAP_ID_HT, which has a Hypertransport capability matching ht_cap.

COPYRIGHT